# frozen_string_literal: true

module Jekyll
  module UniqueURL
    # Adds a method #urls to keep a unique set of URLs from which to
    # check if the current URL is unique.
    module URLs
      def self.included(base)
        base.class_eval do

          # All URLs from the site.
          #
          # @return [Set]
          def urls
            @urls ||= Set.new
          end
        end
      end
    end
  end
end
